%define name ming
%define version 0.2a
%define release 5mdk

%define major	0
%define libname %mklibname %{name} %{major}

Summary:	Ming - an SWF output library
Name:		%{name}
Version:	%{version}
Release:	%{release}
Source:		http://www.opaque.net/ming/%{name}-%{version}.tar.bz2
Patch0:		ming-listmp3.c.patch.bz2
Patch1:		%{name}-%{version}-soname.patch.bz2
License:	LGPL
URL:		http://www.opaque.net/ming/
Group:		System/Libraries
BuildRequires:	zlib-devel
BuildRequires:	perl-devel
BuildRequires:	perl
BuildRoot:	%{_tmppath}/%{name}-%{version}-buildroot

%description
Ming is a c library for generating SWF ("Flash") format movies. This 
package only contains the basic c-based library - not yet extensions for 
Python, Ruby, etc.

%package -n	%{libname}
Summary:	Ming - an SWF output library
Group:		System/Libraries

%description -n	%{libname}
Ming is a c library for generating SWF ("Flash") format movies.
This package only contains the basic c-based library - not yet
extensions for Python, Ruby, etc.

%package -n	%{libname}-devel
Summary:	Ming development files
Group:		Development/C
Requires:	%{libname} = %{version}-%{release}
Provides:	lib%{name}-devel

%description -n	%{libname}-devel
The lib%{name}%{lib_major}-devel package contains the header files
and static libraries necessary for developing programs using the
lib%{name}%{lib_major} library (C and C++)..

%package -n	perl-%{name}
Summary:	Ming perl module
Group:		Development/Perl
Requires:	%{libname} = %{version}-%{release}

%description -n	perl-%{name}
Ming perl module - perl wrapper for Ming library.

%package -n	%{name}-utils
Summary:	Ming utilities
Group:		File tools
Requires:	%{libname} = %{version}-%{release}

%description -n %{name}-utils
Ming utilities:
- listswf - swf format disassembler
- listfdb - show contents of fdb font file
- makefdb - rip fdb font definition files out of a generator template
  file
- swftophp - attempt to make a php/ming script out of an swf file

%prep
%setup -q
%patch0 -p1
%patch1 -p1

%build
make CFLAGS="%{optflags} -fPIC"

(cd util
targets='listswf listfdb listmp3 listjpeg makefdb swftophp'
for i in $targets; do
	make CFLAGS="%{optflags}" $i
done
mkdir temp
for i in $targets; do
	mv $i temp/ming-$i
done
)

(cd perl_ext
CFLAGS="%{optflags}" perl Makefile.PL INSTALLDIRS=vendor </dev/null
make OPTIMIZE="%{optflags}"
)

%install
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}

install -d %{buildroot}%{_prefix}
make PREFIX=%{buildroot}%{_prefix} install

install -m755 libming.so %{buildroot}%{_libdir}/libming.so.0.2

(cd %{buildroot}%{_libdir} &&
    ln -fs libming.so.0.2 libming.so.0 &&
    ln -fs libming.so.0 libming.so
)

install -m755 libming.a %{buildroot}%{_libdir}/

mkdir -p %{buildroot}%{_bindir}
cp util/temp/ming-* %{buildroot}%{_bindir}/
chmod -x TODO

make -C perl_ext install PREFIX=%{buildroot}/%{_prefix}

mv perl_ext/README perl_ext.README
mv php_ext/README php_ext.README
mv util/README util.README

%post -n %{libname} -p /sbin/ldconfig
%postun -n %{libname} -p /sbin/ldconfig

%post -n %{libname}-devel -p /sbin/ldconfig
%postun -n %{libname}-devel -p /sbin/ldconfig

%clean
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}

%files -n %{libname}
%defattr(-,root,root)
%doc CHANGES CREDITS README TODO php_ext.README
%attr(755,root,root) %{_libdir}/libming.so.*

%files -n %{libname}-devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libming.so
%attr(755,root,root) %{_libdir}/libming.a
%{_includedir}/*

%files -n perl-%{name}
%defattr(-,root,root)
%doc perl_ext.README
%{perl_vendorlib}/*/*.pm
%{perl_vendorlib}/*/SWF/*.pm
%{perl_vendorlib}/*/auto/SWF/SWF.so
%{_mandir}/man3*/SWF*

%files -n %{name}-utils
%defattr(644,root,root,755)
%doc util.README
%attr(755,root,root) %{_bindir}/*

%changelog
* Thu Jul 10 2003 Oden Eriksson <oden.eriksson@kvikkjokk.net> 0.2a-6mdk
- use the %%mklibname  macro
- misc spec file fixes

* Thu Jan 16 2003 Oden Eriksson <oden.eriksson@kvikkjokk.net> 0.2a-5mdk
- build release

* Sun Aug  4 2002 Oden Eriksson <oden.eriksson@kvikkjokk.net> 0.2a-4mdk
- rebuilt with gcc-3.2
- fix perl-ming for perl 5.8.0

* Sun May 19 2002 Oden Eriksson <oden.eriksson@kvikkjokk.net> 0.2a-3mdk
- rebuilt with gcc3.1

* Tue Apr 30 2002 Oden Eriksson <oden.eriksson@kvikkjokk.net> 0.2a-2mdk
- fixed the soname, thanks to Moritz Barsnick for pointing it out

* Thu Apr  4 2002 Oden Eriksson <oden.eriksson@kvikkjokk.net> 0.2a-1mdk
- initial cooker contrib
- used the spec file by Troels Arvin and by PLD for ideas.
- libified the whole stuff...
